pipelines:
  branches:
    dev:
      - step:
          name: Build and Deploy Dev
          deployment: test
          script:
            - pipe: atlassian/ssh-run:0.2.3
              variables:
                SSH_USER: "vpdevvhlabco"
                SERVER: "185.3.164.185"
                COMMAND: "/home/vpdevvhlabco/deployment-script.sh"
    dev-paw:
      - step:
          name: Build and Deploy Paw Dev
          deployment: test
          script:
            - pipe: atlassian/ssh-run:0.2.3
              variables:
                SSH_USER: "pawvpdevvhalbco"
                SERVER: "185.3.164.185"
                COMMAND: "/home/pawvpdevvhalbco/deployment-script.sh"
    dev-vitalhike:
      - step:
          name: Build and Deploy VH Dev
          deployment: test
          script:
            - pipe: atlassian/ssh-run:0.2.3
              variables:
                SSH_USER: "vhvpdevvhlabco"
                SERVER: "185.3.164.185"
                COMMAND: "/home/vhvpdevvhlabco/deployment-script.sh"
    master:
      - step:
          name: Build and Deploy Staging
          deployment: staging
          script:
            - pipe: atlassian/ssh-run:0.2.3
              variables:
                SSH_USER: "vpstagingvhlabco"
                SERVER: "185.3.164.185"
                COMMAND: "/home/vpstagingvhlabco/deployment-script.sh"
